Subject: Re: Mikrotik RouterBoard 333

From: Segher Boessenkool <[email-masked]>
Date: Tue, 15 Jul 2008 02:17:36 +0200

> Its firmware apparently provides a flattened device tree to the OS.
> And while this step towards world domination is flattering, it's an
> example of what I feared when people first got enthusiastic about the
> idea of including flattened device trees in firmwares.  The tree has
> not, AFAIK, been past this list, and has apparently not been reviewed
> by someone knowledgeable about device trees.  In short, it's crap, and
> now that it's embedded in the firware we can't really fix it.

Can't you build a kernel with a blob that overrides the 
firmware-provided
blob?

Segher